import pyfiglet

ASCII_STYLES = {
    "standard": {
        'A': [" ███   ", "█   █  ", "█████  ", "█   █  ", "█   █  "],
        'B': ["████   ", "█   █  ", "████   ", "█   █  ", "████   "],
        'C': [" ████  ", "█      ", "█      ", "█      ", " ████  "],
        'D': ["████   ", "█   █  ", "█   █  ", "█   █  ", "████   "],
        'E': ["█████  ", "█      ", "████   ", "█      ", "█████  "],
        'F': ["█████  ", "█      ", "████   ", "█      ", "█      "],
        'G': [" ████  ", "█      ", "█  ██  ", "█   █  ", " ████  "],
        'H': ["█   █  ", "█   █  ", "█████  ", "█   █  ", "█   █  "],
        'I': ["█████  ", "  █    ", "  █    ", "  █    ", "█████  "],
        'J': ["  ███  ", "    █  ", "    █  ", "█   █  ", " ███   "],
        'K': ["█   █  ", "█  █   ", "███    ", "█  █   ", "█   █  "],
        'L': ["█      ", "█      ", "█      ", "█      ", "█████  "],
        'M': ["█   █  ", "██ ██  ", "█ █ █  ", "█   █  ", "█   █  "],
        'N': ["█   █  ", "██  █  ", "█ █ █  ", "█  ██  ", "█   █  "],
        'O': [" ███   ", "█   █  ", "█   █  ", "█   █  ", " ███   "],
        'P': ["████   ", "█   █  ", "████   ", "█      ", "█      "],
        'Q': [" ███   ", "█   █  ", "█ █ █  ", "█  ██  ", " ████  "],
        'R': ["████   ", "█   █  ", "████   ", "█  █   ", "█   █  "],
        'S': [" ████  ", "█      ", " ███   ", "    █  ", "████   "],
        'T': ["█████  ", "  █    ", "  █    ", "  █    ", "  █    "],
        'U': ["█   █  ", "█   █  ", "█   █  ", "█   █  ", " ███   "],
        'V': ["█   █  ", "█   █  ", "█   █  ", " █ █   ", "  █    "],
        'W': ["█   █  ", "█   █  ", "█ █ █  ", "██ ██  ", "█   █  "],
        'X': ["█   █  ", " █ █   ", "  █    ", " █ █   ", "█   █  "],
        'Y': ["█   █  ", " █ █   ", "  █    ", "  █    ", "  █    "],
        'Z': ["█████  ", "   █   ", "  █    ", " █     ", "█████  "],
        'a': ["      ", " ███  ", "   █  ", " ███  ", "█ ██  "],
        'b': ["█     ", "█     ", "████  ", "█   █ ", "████  "],
        'c': ["      ", " ███  ", "█     ", "█     ", " ███  "],
        'd': ["    █ ", "    █ ", " ████ ", "█   █ ", " ████ "],
        'e': ["      ", " ███  ", "████  ", "█     ", " ███  "],
        'f': [" ███  ", "█     ", "███   ", "█     ", "█     "],
        'g': ["      ", " ████ ", "█   █ ", " ████ ", "    █ ", " ███  "],
        'h': ["█     ", "█     ", "████  ", "█   █ ", "█   █ "],
        'i': ["█ ", "  ", "█ ", "█ ", "█ "],
        'j': ["  █ ", "    ", "  █ ", "  █ ", "█ █ ", " ██  "],
        'k': ["█    ", "█  █ ", "███  ", "█  █ ", "█   █"],
        'l': ["█ ", "█ ", "█ ", "█ ", "█ "],
        'm': ["       ", "█ █ █ ", "█ █ █ ", "█ █ █ ", "█ █ █ "],
        'n': ["      ", "████  ", "█   █ ", "█   █ ", "█   █ "],
        'o': ["      ", " ███  ", "█   █ ", "█   █ ", " ███  "],
        'p': ["      ", "████  ", "█   █ ", "████  ", "█     ", "█     "],
        'q': ["      ", " ████ ", "█   █ ", " ████ ", "    █ ", "    █ "],
        'r': ["      ", "█ ██  ", "██    ", "█     ", "█     "],
        's': ["     ", " ███ ", "█    ", " ███ ", "   █ ", "███  "],
        't': [" █   ", "███  ", " █   ", " █   ", " ██  "],
        'u': ["      ", "█   █ ", "█   █ ", "█   █ ", " ████ "],
        'v': ["     ", "█   █", "█   █", " █ █ ", "  █  "],
        'w': ["       ", "█   █ ", "█   █ ", "█ █ █ ", " █ █  "],
        'x': ["      ", "█   █", " █ █ ", "  █  ", "█   █"],
        'y': ["      ", "█   █ ", " █ █  ", "  █   ", " █    ", "█     "],
        'z': ["      ", "████ ", "   █ ", "  █  ", "████ "],
        '0': [" ███   ", "█  ██  ", "█ █ █  ", "██  █  ", " ███   "],
        '1': ["  █    ", " ██    ", "  █    ", "  █    ", "█████  "],
        '2': ["████   ", "    █  ", " ███   ", "█      ", "█████  "],
        '3': ["████   ", "    █  ", " ███   ", "    █  ", "████   "],
        '4': ["█   █  ", "█   █  ", "█████  ", "    █  ", "    █  "],
        '5': ["█████  ", "█      ", "████   ", "    █  ", "████   "],
        '6': [" ███   ", "█      ", "████   ", "█   █  ", " ███   "],
        '7': ["█████  ", "    █  ", "   █   ", "  █    ", " █     "],
        '8': [" ███   ", "█   █  ", " ███   ", "█   █  ", " ███   "],
        '9': [" ███   ", "█   █  ", " ████  ", "    █  ", " ███   "],
        '!': ["█ ", "█ ", "█ ", "  ", "█ "],
        '?': ["███  ", "   █ ", "  █  ", "     ", "  █  "],
        '.': ["  ", "  ", "  ", "  ", "█ "],
        ',': ["  ", "  ", "  ", " █", "█ "],
        ':': ["  ", "█ ", "  ", "█ ", "  "],
        ';': ["  ", "█ ", "  ", " █", "█ "],
        "'": ["█ ", "█ ", "  ", "  ", "  "],
        '"': ["█ █ ", "█ █ ", "    ", "    ", "    "],
        '(': [" █ ", "█  ", "█  ", "█  ", " █ "],
        ')': ["█  ", " █ ", " █ ", " █ ", "█  "],
        '[': ["██ ", "█  ", "█  ", "█  ", "██ "],
        ']': ["██ ", "  █", "  █", "  █", "██ "],
        '{': [" ██", "█  ", "██ ", "█  ", " ██"],
        '}': ["██ ", "  █", " ██", "  █", "██ "],
        '<': ["  █", " █ ", "█  ", " █ ", "  █"],
        '>': ["█  ", " █ ", "  █", " █ ", "█  "],
        '/': ["   █", "  █ ", " █  ", "█   ", "    "],
        '\\': ["█    ", " █   ", "  █  ", "   █ ", "     "],
        '|': ["█ ", "█ ", "█ ", "█ ", "█ "],
        '-': ["    ", "    ", "███ ", "    ", "    "],
        '_': ["    ", "    ", "    ", "    ", "███ "],
        '=': ["    ", "███ ", "    ", "███ ", "    "],
        '+': ["    ", " █  ", "████", " █  ", "    "],
        '*': ["    ", "█ ██", " ██ ", "█ ██", "    "],
        '#': [" █ █ ", "█████", " █ █ ", "█████", " █ █ "],
        '$': [" ██ ", "█ ██", " ██ ", "██ █", " ██ "],
        '%': ["█  █", "   █", "  █ ", " █  ", "█  █"],
        '^': [" █  ", "█ █ ", "    ", "    ", "    "],
        '&': [" █   ", "█ █  ", " █   ", "█ █ █", " █ █ "],
        '@': [" ███ ", "█   █", "█ ███", "█ █ █", " ███ "],
        ' ': ["  ", "  ", "  ", "  ", "  "]
    },
    "outline": {
        'A': [" ███   ", "█   █  ", "█ █ █  ", "█   █  ", "█   █  "],
        'B': ["████   ", "█   █  ", "█ ██   ", "█   █  ", "████   "],
        'C': [" ████  ", "█      ", "█      ", "█      ", " ████  "],
        'D': ["████   ", "█   █  ", "█   █  ", "█   █  ", "████   "],
        'E': ["█████  ", "█      ", "████   ", "█      ", "█████  "],
        'F': ["█████  ", "█      ", "████   ", "█      ", "█      "],
        'G': [" ████  ", "█      ", "█  ██  ", "█   █  ", " ████  "],
        'H': ["█   █  ", "█   █  ", "█ █ █  ", "█   █  ", "█   █  "],
        'I': ["█████  ", "  █    ", "  █    ", "  █    ", "█████  "],
        'J': ["  ███  ", "    █  ", "    █  ", "█   █  ", " ███   "],
        'K': ["█   █  ", "█  █   ", "███    ", "█  █   ", "█   █  "],
        'L': ["█      ", "█      ", "█      ", "█      ", "█████  "],
        'M': ["█   █  ", "██ ██  ", "█ █ █  ", "█   █  ", "█   █  "],
        'N': ["█   █  ", "██  █  ", "█ █ █  ", "█  ██  ", "█   █  "],
        'O': [" ███   ", "█   █  ", "█   █  ", "█   █  ", " ███   "],
        'P': ["████   ", "█   █  ", "████   ", "█      ", "█      "],
        'Q': [" ███   ", "█   █  ", "█ █ █  ", "█  ██  ", " ████  "],
        'R': ["████   ", "█   █  ", "████   ", "█  █   ", "█   █  "],
        'S': [" ████  ", "█      ", " ███   ", "    █  ", "████   "],
        'T': ["█████  ", "  █    ", "  █    ", "  █    ", "  █    "],
        'U': ["█   █  ", "█   █  ", "█   █  ", "█   █  ", " ███   "],
        'V': ["█   █  ", "█   █  ", "█   █  ", " █ █   ", "  █    "],
        'W': ["█   █  ", "█   █  ", "█ █ █  ", "██ ██  ", "█   █  "],
        'X': ["█   █  ", " █ █   ", "  █    ", " █ █   ", "█   █  "],
        'Y': ["█   █  ", " █ █   ", "  █    ", "  █    ", "  █    "],
        'Z': ["█████  ", "   █   ", "  █    ", " █     ", "█████  "],
        'a': ["      ", " ███  ", "   █  ", " ███  ", "█ ██  "],
        'b': ["█     ", "█     ", "████  ", "█   █ ", "████  "],
        'c': ["      ", " ███  ", "█     ", "█     ", " ███  "],
        'd': ["    █ ", "    █ ", " ████ ", "█   █ ", " ████ "],
        'e': ["      ", " ███  ", "████  ", "█     ", " ███  "],
        'f': [" ███  ", "█     ", "███   ", "█     ", "█     "],
        'g': ["      ", " ████ ", "█   █ ", " ████ ", "    █ ", " ███  "],
        'h': ["█     ", "█     ", "████  ", "█   █ ", "█   █ "],
        'i': ["█ ", "  ", "█ ", "█ ", "█ "],
        'j': ["  █ ", "    ", "  █ ", "  █ ", "█ █ ", " ██  "],
        'k': ["█    ", "█  █ ", "███  ", "█  █ ", "█   █"],
        'l': ["█ ", "█ ", "█ ", "█ ", "█ "],
        'm': ["       ", "█ █ █ ", "█ █ █ ", "█ █ █ ", "█ █ █ "],
        'n': ["      ", "████  ", "█   █ ", "█   █ ", "█   █ "],
        'o': ["      ", " ███  ", "█   █ ", "█   █ ", " ███  "],
        'p': ["      ", "████  ", "█   █ ", "████  ", "█     ", "█     "],
        'q': ["      ", " ████ ", "█   █ ", " ████ ", "    █ ", "    █ "],
        'r': ["      ", "█ ██  ", "██    ", "█     ", "█     "],
        's': ["     ", " ███ ", "█    ", " ███ ", "   █ ", "███  "],
        't': [" █   ", "███  ", " █   ", " █   ", " ██  "],
        'u': ["      ", "█   █ ", "█   █ ", "█   █ ", " ████ "],
        'v': ["     ", "█   █", "█   █", " █ █ ", "  █  "],
        'w': ["       ", "█   █ ", "█   █ ", "█ █ █ ", " █ █  "],
        'x': ["      ", "█   █", " █ █ ", "  █  ", "█   █"],
        'y': ["      ", "█   █ ", " █ █  ", "  █   ", " █    ", "█     "],
        'z': ["      ", "████ ", "   █ ", "  █  ", "████ "],
        '0': [" ███   ", "█  ██  ", "█ █ █  ", "██  █  ", " ███   "],
        '1': ["  █    ", " ██    ", "  █    ", "  █    ", "█████  "],
        '2': ["████   ", "    █  ", " ███   ", "█      ", "█████  "],
        '3': ["████   ", "    █  ", " ███   ", "    █  ", "████   "],
        '4': ["█   █  ", "█   █  ", "█████  ", "    █  ", "    █  "],
        '5': ["█████  ", "█      ", "████   ", "    █  ", "████   "],
        '6': [" ███   ", "█      ", "████   ", "█   █  ", " ███   "],
        '7': ["█████  ", "    █  ", "   █   ", "  █    ", " █     "],
        '8': [" ███   ", "█   █  ", " ███   ", "█   █  ", " ███   "],
        '9': [" ███   ", "█   █  ", " ████  ", "    █  ", " ███   "],
        '!': ["█ ", "█ ", "█ ", "  ", "█ "],
        '?': ["███  ", "   █ ", "  █  ", "     ", "  █  "],
        '.': ["  ", "  ", "  ", "  ", "█ "],
        ',': ["  ", "  ", "  ", " █", "█ "],
        ':': ["  ", "█ ", "  ", "█ ", "  "],
        ';': ["  ", "█ ", "  ", " █", "█ "],
        "'": ["█ ", "█ ", "  ", "  ", "  "],
        '"': ["█ █ ", "█ █ ", "    ", "    ", "    "],
        '(': [" █ ", "█  ", "█  ", "█  ", " █ "],
        ')': ["█  ", " █ ", " █ ", " █ ", "█  "],
        '[': ["██ ", "█  ", "█  ", "█  ", "██ "],
        ']': ["██ ", "  █", "  █", "  █", "██ "],
        '{': [" ██", "█  ", "██ ", "█  ", " ██"],
        '}': ["██ ", "  █", " ██", "  █", "██ "],
        '<': ["  █", " █ ", "█  ", " █ ", "  █"],
        '>': ["█  ", " █ ", "  █", " █ ", "█  "],
        '/': ["   █", "  █ ", " █  ", "█   ", "    "],
        '\\': ["█    ", " █   ", "  █  ", "   █ ", "     "],
        '|': ["█ ", "█ ", "█ ", "█ ", "█ "],
        '-': ["    ", "    ", "███ ", "    ", "    "],
        '_': ["    ", "    ", "    ", "    ", "███ "],
        '=': ["    ", "███ ", "    ", "███ ", "    "],
        '+': ["    ", " █  ", "████", " █  ", "    "],
        '*': ["    ", "█ ██", " ██ ", "█ ██", "    "],
        '#': [" █ █ ", "█████", " █ █ ", "█████", " █ █ "],
        '$': [" ██ ", "█ ██", " ██ ", "██ █", " ██ "],
        '%': ["█  █", "   █", "  █ ", " █  ", "█  █"],
        '^': [" █  ", "█ █ ", "    ", "    ", "    "],
        '&': [" █   ", "█ █  ", " █   ", "█ █ █", " █ █ "],
        '@': [" ███ ", "█   █", "█ ███", "█ █ █", " ███ "],
        ' ': ["  ", "  ", "  ", "  ", "  "]
    },
    "bubble": {
        'A': [" ░██░  ", "█░░░█  ", "█████  ", "█░░░█  ", "█░░░█  "],
        'B': ["████░  ", "█░░░█  ", "████░  ", "█░░░█  ", "████░  "],
        'C': [" ░███  ", "█░░░░  ", "█░░░░  ", "█░░░░  ", " ░███  "],
        'D': ["████░  ", "█░░░█  ", "█░░░█  ", "█░░░█  ", "████░  "],
        'E': ["█████  ", "█░░░░  ", "████░  ", "█░░░░  ", "█████  "],
        'F': ["█████  ", "█░░░░  ", "████░  ", "█░░░░  ", "█░░░░  "],
        'G': [" ░███  ", "█░░░░  ", "█░░██  ", "█░░░█  ", " ░███  "],
        'H': ["█░░░█  ", "█░░░█  ", "█████  ", "█░░░█  ", "█░░░█  "],
        'I': ["█████  ", "░░█░░  ", "░░█░░  ", "░░█░░  ", "█████  "],
        'J': ["░░███  ", "░░░█░  ", "░░░█░  ", "█░░█░  ", "░███░  "],
        'K': ["█░░░█  ", "█░░█░  ", "████░  ", "█░░█░  ", "█░░░█  "],
        'L': ["█░░░░  ", "█░░░░  ", "█░░░░  ", "█░░░░  ", "█████  "],
        'M': ["█░░░█  ", "██░██  ", "█░█░█  ", "█░░░█  ", "█░░░█  "],
        'N': ["█░░░█  ", "██░░█  ", "█░█░█  ", "█░░██  ", "█░░░█  "],
        'O': [" ░██░  ", "█░░░█  ", "█░░░█  ", "█░░░█  ", " ░██░  "],
        'P': ["████░  ", "█░░░█  ", "████░  ", "█░░░░  ", "█░░░░  "],
        'Q': [" ░██░  ", "█░░░█  ", "█░█░█  ", "█░░██  ", " ░███  "],
        'R': ["████░  ", "█░░░█  ", "████░  ", "█░░█░  ", "█░░░█  "],
        'S': [" ░███  ", "█░░░░  ", " ░██░  ", "░░░█░  ", "████░  "],
        'T': ["█████  ", "░░█░░  ", "░░█░░  ", "░░█░░  ", "░░█░░  "],
        'U': ["█░░░█  ", "█░░░█  ", "█░░░█  ", "█░░░█  ", " ░██░  "],
        'V': ["█░░░█  ", "█░░░█  ", "█░░░█  ", "░█░█░  ", "░░█░░  "],
        'W': ["█░░░█  ", "█░░░█  ", "█░█░█  ", "██░██  ", "█░░░█  "],
        'X': ["█░░░█  ", "░█░█░  ", "░░█░░  ", "░█░█░  ", "█░░░█  "],
        'Y': ["█░░░█  ", "░█░█░  ", "░░█░░  ", "░░█░░  ", "░░█░░  "],
        'Z': ["█████  ", "░░░█░  ", "░░█░░  ", "░█░░░  ", "█████  "],
        'a': ["      ", " ░██  ", "░░░█  ", " ███  ", "█░██  "],
        'b': ["█░░   ", "█░░   ", "████  ", "█░░░█ ", "████  "],
        'c': ["      ", " ░██  ", "█░░░  ", "█░░░  ", " ░██  "],
        'd': ["░░░█ ", "░░░█ ", " ████ ", "█░░░█ ", " ████ "],
        'e': ["      ", " ░██  ", "████  ", "█░░░  ", " ░██  "],
        'f': [" ███  ", "█░░   ", "███   ", "█░░   ", "█░░   "],
        'g': ["      ", " ████ ", "█░░░█ ", " ████ ", "░░░█ ", " ░██  "],
        'h': ["█░░   ", "█░░   ", "████  ", "█░░░█ ", "█░░░█ "],
        'i': ["█ ", "░ ", "█ ", "█ ", "█ "],
        'j': [" █ ", "   ", " █ ", " █ ", "█░█ ", " ██  "],
        'k': ["█    ", "█░ █ ", "███  ", "█░ █ ", "█░░ █"],
        'l': ["█ ", "█ ", "█ ", "█ ", "█ "],
        'm': ["       ", "█░█░█ ", "█░█░█ ", "█░█░█ ", "█░█░█ "],
        'n': ["      ", "████  ", "█░░░█ ", "█░░░█ ", "█░░░█ "],
        'o': ["      ", " ░██  ", "█░░░█ ", "█░░░█ ", " ░██  "],
        'p': ["      ", "████  ", "█░░░█ ", "████  ", "█░░   ", "█░░   "],
        'q': ["      ", " ████ ", "█░░░█ ", " ████ ", "░░░█ ", "░░░█ "],
        'r': ["      ", "█░██  ", "███   ", "█░░   ", "█░░   "],
        's': ["     ", " ███ ", "█░░  ", " ███ ", "░░░█ ", "███  "],
        't': [" █   ", "███  ", " █   ", " █   ", " ██  "],
        'u': ["      ", "█░░░█ ", "█░░░█ ", "█░░░█ ", " ████ "],
        'v': ["     ", "█░░░█", "█░░░█", " █░█ ", " ░█  "],
        'w': ["       ", "█░░░█ ", "█░░░█ ", "█░█░█ ", " █░█  "],
        'x': ["      ", "█░░░█", " █░█ ", " ░█  ", "█░░░█"],
        'y': ["      ", "█░░░█ ", " █░█  ", " ░█   ", " █    ", "█     "],
        'z': ["      ", "████ ", "░░░█ ", " ██  ", "████ "],
        '0': [" ░██   ", "█░ ██  ", "█░█░█  ", "██ ░█  ", " ░██   "],
        '1': [" ░█    ", "░██    ", " ░█    ", " ░█    ", "█████  "],
        '2': ["████   ", "░░░█   ", " ███   ", "█░░░   ", "█████  "],
        '3': ["████   ", "░░░█   ", " ███   ", "░░░█   ", "████   "],
        '4': ["█░░░█  ", "█░░░█  ", "█████  ", "░░░░█  ", "░░░░█  "],
        '5': ["█████  ", "█░░░░  ", "████   ", "░░░█   ", "████   "],
        '6': [" ███   ", "█░░░   ", "████   ", "█░░░█  ", " ███   "],
        '7': ["█████  ", "░░░█   ", "░░█    ", "░█     ", "█      "],
        '8': [" ███   ", "█░░░█  ", " ███   ", "█░░░█  ", " ███   "],
        '9': [" ███   ", "█░░░█  ", " ████  ", "░░░█   ", " ███   "],
        '!': ["█ ", "█ ", "█ ", "░ ", "█ "],
        '?': ["███  ", "░░░█ ", " ██  ", "     ", " █   "],
        '.': ["  ", "  ", "  ", "  ", "█ "],
        ',': ["  ", "  ", "  ", " █", "█ "],
        ':': ["  ", "█ ", "  ", "█ ", "  "],
        ';': ["  ", "█ ", "  ", " █", "█ "],
        "'": ["█ ", "█ ", "  ", "  ", "  "],
        '"': ["█░█ ", "█░█ ", "    ", "    ", "    "],
        '(': [" █ ", "█░ ", "█░ ", "█░ ", " █ "],
        ')': ["█  ", "░█ ", "░█ ", "░█ ", "█  "],
        '[': ["██ ", "█░ ", "█░ ", "█░ ", "██ "],
        ']': ["██ ", "░█ ", "░█ ", "░█ ", "██ "],
        '{': [" ██", "█░ ", "██ ", "█░ ", " ██"],
        '}': ["██ ", " ░█", " ██", " ░█", "██ "],
        '<': [" ░█", " █ ", "█  ", " █ ", " ░█"],
        '>': ["█░ ", " █ ", " ░█", " █ ", "█░ "],
        '/': ["░░░█", " ░█ ", " █  ", "█   ", "    "],
        '\\': ["█    ", "░█   ", " █   ", "  █  ", "     "],
        '|': ["█ ", "█ ", "█ ", "█ ", "█ "],
        '-': ["    ", "    ", "███ ", "    ", "    "],
        '_': ["    ", "    ", "    ", "    ", "███ "],
        '=': ["    ", "███ ", "    ", "███ ", "    "],
        '+': ["    ", " █  ", "████", " █  ", "    "],
        '*': ["    ", "█░██", " ██ ", "█░██", "    "],
        '#': [" █░█ ", "█████", " █░█ ", "█████", " █░█ "],
        '$': [" ██ ", "█░██", " ██ ", "██░█", " ██ "],
        '%': ["█░░█", "░░░█", " ░█ ", " █░░", "█░░█"],
        '^': [" █  ", "█░█ ", "    ", "    ", "    "],
        '&': [" █   ", "█░█  ", " █   ", "█░█░█", " █░█ "],
        '@': [" ███ ", "█░░░█", "█░███", "█░█░█", " ███ "],
        ' ': ["  ", "  ", "  ", "  ", "  "]
    },
    "shadow": {
        'A': [" ███   ", "█   █  ", "█████  ", "█   █▓ ", "█████▓ "],
        'B': ["████   ", "█   █  ", "████   ", "█   █▓ ", "████▓  "],
        'C': [" ████  ", "█      ", "█      ", "█      ", " ████▓ "],
        'D': ["████   ", "█   █  ", "█   █  ", "█   █  ", "████▓  "],
        'E': ["█████  ", "█      ", "████   ", "█      ", "█████▓ "],
        'F': ["█████  ", "█      ", "████   ", "█      ", "█▓     "],
        'G': [" ████  ", "█      ", "█  ██  ", "█   █  ", " ████▓ "],
        'H': ["█   █  ", "█   █  ", "█████  ", "█   █▓ ", "█   █▓ "],
        'I': ["█████  ", "  █    ", "  █    ", "  █    ", "█████▓ "],
        'J': ["  ███  ", "    █  ", "    █  ", "█   █▓ ", " ███▓  "],
        'K': ["█   █  ", "█  █   ", "███    ", "█  █▓  ", "█   █▓ "],
        'L': ["█      ", "█      ", "█      ", "█      ", "█████▓ "],
        'M': ["█   █  ", "██ ██  ", "█ █ █  ", "█   █▓ ", "█   █▓ "],
        'N': ["█   █  ", "██  █  ", "█ █ █  ", "█  ██▓ ", "█   █▓ "],
        'O': [" ███   ", "█   █  ", "█   █  ", "█   █▓ ", " ███▓  "],
        'P': ["████   ", "█   █  ", "████   ", "█▓     ", "█▓     "],
        'Q': [" ███   ", "█   █  ", "█ █ █  ", "█  ██▓ ", " ████▓ "],
        'R': ["████   ", "█   █  ", "████   ", "█  █▓  ", "█   █▓ "],
        'S': [" ████  ", "█      ", " ███   ", "    █▓ ", "████▓  "],
        'T': ["█████  ", "  █    ", "  █    ", "  █▓   ", "  █▓   "],
        'U': ["█   █  ", "█   █  ", "█   █  ", "█   █▓ ", " ███▓  "],
        'V': ["█   █  ", "█   █  ", "█   █  ", " █ █▓  ", "  █▓   "],
        'W': ["█   █  ", "█   █  ", "█ █ █  ", "██ ██▓ ", "█   █▓ "],
        'X': ["█   █  ", " █ █   ", "  █    ", " █ █▓  ", "█   █▓ "],
        'Y': ["█   █  ", " █ █   ", "  █    ", "  █▓   ", "  █▓   "],
        'Z': ["█████  ", "   █   ", "  █    ", " █▓    ", "█████▓ "],
        'a': ["      ", " ███  ", "   █  ", " ███  ", "█ ██▓ "],
        'b': ["█     ", "█     ", "████  ", "█   █▓", "████▓ "],
        'c': ["      ", " ███  ", "█     ", "█     ", " ███▓ "],
        'd': ["    █ ", "    █ ", " ████ ", "█   █▓", " ████▓"],
        'e': ["      ", " ███  ", "████  ", "█     ", " ███▓ "],
        'f': [" ███  ", "█     ", "███   ", "█▓    ", "█▓    "],
        'g': ["      ", " ████ ", "█   █▓", " ████ ", "    █▓", " ███▓ "],
        'h': ["█     ", "█     ", "████  ", "█   █▓", "█   █▓"],
        'i': ["█ ", "  ", "█ ", "█ ", "█▓"],
        'j': ["  █ ", "    ", "  █ ", "  █ ", "█ █▓", " ██▓ "],
        'k': ["█    ", "█  █ ", "███  ", "█  █▓", "█   █▓"],
        'l': ["█ ", "█ ", "█ ", "█ ", "█▓"],
        'm': ["       ", "█ █ █ ", "█ █ █ ", "█ █ █▓", "█ █ █▓"],
        'n': ["      ", "████  ", "█   █▓", "█   █▓", "█   █▓"],
        'o': ["      ", " ███  ", "█   █▓", "█   █▓", " ███▓ "],
        'p': ["      ", "████  ", "█   █▓", "████  ", "█▓    ", "█▓    "],
        'q': ["      ", " ████ ", "█   █▓", " ████ ", "    █▓", "    █▓"],
        'r': ["      ", "█ ██  ", "███   ", "█▓    ", "█▓    "],
        's': ["     ", " ███ ", "█    ", " ███ ", "   █▓", "███▓ "],
        't': [" █   ", "███  ", " █   ", " █▓  ", " ██▓ "],
        'u': ["      ", "█   █▓", "█   █▓", "█   █▓", " ████▓"],
        'v': ["     ", "█   █▓", "█   █▓", " █ █▓ ", "  █▓  "],
        'w': ["       ", "█   █▓", "█   █▓", "█ █ █▓", " █ █▓ "],
        'x': ["      ", "█   █▓", " █ █▓ ", "  █▓  ", "█   █▓"],
        'y': ["      ", "█   █▓", " █ █▓ ", "  █▓  ", " █▓   ", "█▓    "],
        'z': ["      ", "████▓", "   █ ", "  █▓ ", "████▓"],
        '0': [" ███   ", "█  ██  ", "█ █ █  ", "██  █▓ ", " ███▓  "],
        '1': ["  █    ", " ██    ", "  █    ", "  █▓   ", "█████▓ "],
        '2': ["████   ", "    █  ", " ███   ", "█▓     ", "█████▓ "],
        '3': ["████   ", "    █  ", " ███   ", "    █▓ ", "████▓  "],
        '4': ["█   █  ", "█   █  ", "█████  ", "    █▓ ", "    █▓ "],
        '5': ["█████  ", "█      ", "████   ", "    █▓ ", "████▓  "],
        '6': [" ███   ", "█      ", "████   ", "█   █▓ ", " ███▓  "],
        '7': ["█████  ", "    █  ", "   █   ", "  █▓   ", " █▓    "],
        '8': [" ███   ", "█   █  ", " ███   ", "█   █▓ ", " ███▓  "],
        '9': [" ███   ", "█   █  ", " ████  ", "    █▓ ", " ███▓  "],
        '!': ["█ ", "█ ", "█ ", "▓ ", "█▓"],
        '?': ["███  ", "   █ ", "  █  ", "▓    ", " █▓  "],
        '.': ["  ", "  ", "  ", "  ", "█▓"],
        ',': ["  ", "  ", "  ", " █", "█▓"],
        ':': ["  ", "█ ", "  ", "█▓", "  "],
        ';': ["  ", "█ ", "  ", " █", "█▓"],
        "'": ["█ ", "█ ", "  ", "  ", "  "],
        '"': ["█ █ ", "█ █ ", "    ", "    ", "    "],
        '(': [" █ ", "█  ", "█  ", "█▓ ", " █▓"],
        ')': ["█  ", " █ ", " █ ", " █▓", "█▓ "],
        '[': ["██ ", "█  ", "█  ", "█▓ ", "██▓"],
        ']': ["██ ", " █ ", " █ ", " █▓", "██▓"],
        '{': [" ██", "█  ", "██ ", "█▓ ", " ██▓"],
        '}': ["██ ", " █ ", " ██", " █▓", "██▓"],
        '<': ["  █", " █ ", "█  ", " █▓", "  █▓"],
        '>': ["█  ", " █ ", "  █", " █▓", "█▓ "],
        '/': ["   █", "  █ ", " █  ", "█▓  ", "    "],
        '\\': ["█    ", " █   ", "  █  ", "   █▓", "     "],
        '|': ["█ ", "█ ", "█ ", "█▓", "█▓"],
        '-': ["    ", "    ", "███ ", "▓   ", "    "],
        '_': ["    ", "    ", "    ", "    ", "███▓"],
        '=': ["    ", "███ ", "▓   ", "███ ", "    "],
        '+': ["    ", " █  ", "████", " █▓ ", "    "],
        '*': ["    ", "█ ██", " ██ ", "█ █▓", "    "],
        '#': [" █ █ ", "█████", " █ █ ", "████▓", " █ █▓"],
        '$': [" ██ ", "█ ██", " ██ ", "██ █▓", " ██▓ "],
        '%': ["█  █", "   █", "  █ ", " █  ", "█  █▓"],
        '^': [" █  ", "█ █ ", "    ", "    ", "    "],
        '&': [" █   ", "█ █  ", " █   ", "█ █ █▓", " █ █▓ "],
        '@': [" ███ ", "█   █", "█ ███", "█ █ █▓", " ███▓ "],
        ' ': ["  ", "  ", "  ", "  ", "  "]
    },
    "minimal": {
        'A': ["  A  ", " A A ", "AAAAA", "A   A", "A   A"],
        'B': ["BBBB ", "B   B", "BBBB ", "B   B", "BBBB "],
        'C': [" CCC ", "C    ", "C    ", "C    ", " CCC "],
        'D': ["DDD  ", "D  D ", "D   D", "D  D ", "DDD  "],
        'E': ["EEEEE", "E    ", "EEE  ", "E    ", "EEEEE"],
        'F': ["FFFFF", "F    ", "FFF  ", "F    ", "F    "],
        'G': [" GGG ", "G    ", "G GG ", "G  G ", " GGG "],
        'H': ["H   H", "H   H", "HHHHH", "H   H", "H   H"],
        'I': ["IIIII", "  I  ", "  I  ", "  I  ", "IIIII"],
        'J': ["JJJJJ", "    J", "    J", "J   J", " JJJ "],
        'K': ["K  K ", "K K  ", "KK   ", "K K  ", "K  K "],
        'L': ["L    ", "L    ", "L    ", "L    ", "LLLLL"],
        'M': ["M   M", "MM MM", "M M M", "M   M", "M   M"],
        'N': ["N   N", "NN  N", "N N N", "N  NN", "N   N"],
        'O': [" OOO ", "O   O", "O   O", "O   O", " OOO "],
        'P': ["PPPP ", "P   P", "PPPP ", "P    ", "P    "],
        'Q': [" QQQ ", "Q   Q", "Q Q Q", "Q  Q ", " QQ Q"],
        'R': ["RRRR ", "R   R", "RRRR ", "R R  ", "R  R "],
        'S': [" SSS ", "S    ", " SSS ", "    S", "SSSS "],
        'T': ["TTTTT", "  T  ", "  T  ", "  T  ", "  T  "],
        'U': ["U   U", "U   U", "U   U", "U   U", " UUU "],
        'V': ["V   V", "V   V", "V   V", " V V ", "  V  "],
        'W': ["W   W", "W   W", "W W W", "WW WW", "W   W"],
        'X': ["X   X", " X X ", "  X  ", " X X ", "X   X"],
        'Y': ["Y   Y", " Y Y ", "  Y  ", "  Y  ", "  Y  "],
        'Z': ["ZZZZZ", "   Z ", "  Z  ", " Z   ", "ZZZZZ"],
        'a': ["     ", " aa  ", "a  a ", "aaaa ", "a  a "],
        'b': ["b    ", "b    ", "bbbb ", "b   b", "bbbb "],
        'c': ["     ", " ccc ", "c    ", "c    ", " ccc "],
        'd': ["    d", "    d", " dddd", "d   d", " dddd"],
        'e': ["     ", " eee ", "eeee ", "e    ", " eee "],
        'f': [" fff ", "f    ", "fff  ", "f    ", "f    "],
        'g': ["     ", " gggg", "g   g", " gggg", "    g", " ggg "],
        'h': ["h    ", "h    ", "hhhh ", "h   h", "h   h"],
        'i': ["i ", "  ", "i ", "i ", "i "],
        'j': ["  j ", "    ", "  j ", "  j ", "j j ", " jj "],
        'k': ["k   ", "k  k", "kkk ", "k  k", "k   k"],
        'l': ["l ", "l ", "l ", "l ", "l "],
        'm': ["      ", "m m m", "m m m", "m m m", "m m m"],
        'n': ["     ", "nnnn ", "n   n", "n   n", "n   n"],
        'o': ["     ", " ooo ", "o   o", "o   o", " ooo "],
        'p': ["     ", "pppp ", "p   p", "pppp ", "p    ", "p    "],
        'q': ["     ", " qqqq", "q   q", " qqqq", "    q", "    q"],
        'r': ["     ", "r rr ", "rr   ", "r    ", "r    "],
        's': ["    ", " sss", "s   ", " sss", "   s", "sss "],
        't': [" t  ", "ttt ", " t  ", " t  ", " tt "],
        'u': ["     ", "u   u", "u   u", "u   u", " uuu "],
        'v': ["     ", "v   v", "v   v", " v v ", "  v  "],
        'w': ["      ", "w   w", "w w w", "ww ww", "w   w"],
        'x': ["     ", "x   x", " x x ", "  x  ", "x   x"],
        'y': ["     ", "y   y", " y y ", "  y  ", " y   ", "y    "],
        'z': ["    ", "zzzz", "  z ", " z  ", "zzzz"],
        '0': [" 000 ", "0   0", "0   0", "0   0", " 000 "],
        '1': ["  1  ", " 11  ", "  1  ", "  1  ", "11111"],
        '2': [" 222 ", "2   2", "  2  ", " 2   ", "22222"],
        '3': ["3333 ", "    3", " 333 ", "    3", "3333 "],
        '4': ["4  4 ", "4  4 ", "44444", "   4 ", "   4 "],
        '5': ["55555", "5    ", "5555 ", "    5", "5555 "],
        '6': [" 666 ", "6    ", "6666 ", "6   6", " 666 "],
        '7': ["77777", "   7 ", "  7  ", " 7   ", "7    "],
        '8': [" 888 ", "8   8", " 888 ", "8   8", " 888 "],
        '9': [" 999 ", "9   9", " 9999", "    9", " 999 "],
        '!': [" ! ", " ! ", " ! ", "   ", " ! "],
        '?': [" ??? ", "?   ?", "   ? ", "     ", "  ?  "],
        '.': ["   ", "   ", "   ", "   ", " . "],
        ',': ["   ", "   ", "   ", " , ", ",  "],
        ':': ["   ", " : ", "   ", " : ", "   "],
        ';': ["   ", " ; ", "   ", " ; ", ";  "],
        "'": [" ' ", " ' ", "   ", "   ", "   "],
        '"': [" \" \" ", " \" \" ", "     ", "     ", "     "],
        '(': ["  ( ", " (  ", "(   ", " (  ", "  ( "],
        ')': [" )  ", "  ) ", "   )", "  ) ", " )  "],
        '[': [" [[ ", "[   ", "[   ", "[   ", " [[ "],
        ']': [" ]] ", "   ]", "   ]", "   ]", " ]] "],
        '{': ["  {{", " {  ", "{{  ", " {  ", "  }}"],
        '}': ["}}  ", "  } ", "  }}", "  } ", "}}  "],
        '<': ["   <", " <  ", "<   ", " <  ", "   <"],
        '>': [">   ", "  > ", "   >", "  > ", ">   "],
        '/': ["    /", "   / ", "  /  ", " /   ", "/    "],
        '\\': ["\\    ", " \\   ", "  \\  ", "   \\ ", "    \\"],
        '|': [" | ", " | ", " | ", " | ", " | "],
        '-': ["     ", "     ", " --- ", "     ", "     "],
        '_': ["     ", "     ", "     ", "     ", "_____"],
        '=': ["     ", " === ", "     ", " === ", "     "],
        '+': ["     ", "  +  ", " +++ ", "  +  ", "     "],
        '*': ["     ", " * * ", "  *  ", " * * ", "     "],
        '#': [" # # ", "#####", " # # ", "#####", " # # "],
        '$': ["  $$ ", "$ $ $", " $$  ", "$ $ $", " $$  "],
        '%': ["%   %", "   % ", "  %  ", " %   ", "%   %"],
        '^': [" ^  ", "^ ^ ", "    ", "    ", "    "],
        '&': ["  &  ", " &   ", "  &  ", "& & &", " &&& "],
        '@': [" @@@ ", "@   @", "@ @@ ", "@    ", " @@@ "],
        ' ': [" ", " ", " ", " ", " "]
    },
   
    "dotmatrix": {
    'A': [" █ █ ", "█   █", "█████", "█   █", "█   █"],
    'B': ["████ ", "█   █", "████ ", "█   █", "████ "],
    'C': [" ████", "█    ", "█    ", "█    ", " ████"],
    'D': ["████ ", "█   █", "█   █", "█   █", "████ "],
    'E': ["█████", "█    ", "████ ", "█    ", "█████"],
    'F': ["█████", "█    ", "████ ", "█    ", "█    "],
    'G': [" ████", "█    ", "█  ██", "█   █", " ████"],
    'H': ["█   █", "█   █", "█████", "█   █", "█   █"],
    'I': ["█████", "  █  ", "  █  ", "  █  ", "█████"],
    'J': ["  ███", "    █", "    █", "█   █", " ███ "],
    'K': ["█   █", "█  █ ", "████ ", "█  █ ", "█   █"],
    'L': ["█    ", "█    ", "█    ", "█    ", "█████"],
    'M': ["█   █", "██ ██", "█ █ █", "█   █", "█   █"],
    'N': ["█   █", "██  █", "█ █ █", "█  ██", "█   █"],
    'O': [" ███ ", "█   █", "█   █", "█   █", " ███ "],
    'P': ["████ ", "█   █", "████ ", "█    ", "█    "],
    'Q': [" ███ ", "█   █", "█ █ █", "█  █ ", " ████"],
    'R': ["████ ", "█   █", "████ ", "█  █ ", "█   █"],
    'S': [" ████", "█    ", " ███ ", "    █", "████ "],
    'T': ["█████", "  █  ", "  █  ", "  █  ", "  █  "],
    'U': ["█   █", "█   █", "█   █", "█   █", " ███ "],
    'V': ["█   █", "█   █", "█   █", " █ █ ", "  █  "],
    'W': ["█   █", "█   █", "█ █ █", "██ ██", "█   █"],
    'X': ["█   █", " █ █ ", "  █  ", " █ █ ", "█   █"],
    'Y': ["█   █", " █ █ ", "  █  ", "  █  ", "  █  "],
    'Z': ["█████", "   █ ", "  █  ", " █   ", "█████"],
    ' ': ["     ", "     ", "     ", "     ", "     "],
     'a': ["     ", " ██  ", "█  █ ", "████ ", "█  █ "],
    'b': ["█    ", "█    ", "████ ", "█   █", "████ "],
    'c': ["     ", " ███ ", "█    ", "█    ", " ███ "],
    'd': ["    █", "    █", " ████", "█   █", " ████"],
    'e': ["     ", " ███ ", "████ ", "█    ", " ███ "],
    'f': [" ███ ", "█    ", "███  ", "█    ", "█    "],
    'g': ["     ", " ████", "█   █", " ████", "    █", " ███ "],
    'h': ["█    ", "█    ", "████ ", "█   █", "█   █"],
    'i': ["█", " ", "█", "█", "█"],
    'j': ["  █ ", "    ", "  █ ", "  █ ", "█ █ ", " ██ "],
    'k': ["█   ", "█  █", "███ ", "█  █", "█   █"],
    'l': ["█ ", "█ ", "█ ", "█ ", "█ "],
    'm': ["      ", "█ █ █", "█ █ █", "█ █ █", "█ █ █"],
    'n': ["     ", "████ ", "█   █", "█   █", "█   █"],
    'o': ["     ", " ███ ", "█   █", "█   █", " ███ "],
    'p': ["     ", "████ ", "█   █", "████ ", "█    ", "█    "],
    'q': ["     ", " ████", "█   █", " ████", "    █", "    █"],
    'r': ["     ", "█ ██ ", "██   ", "█    ", "█    "],
    's': ["    ", " ███", "█   ", " ███", "   █", "███ "],
    't': [" █  ", "███ ", " █  ", " █  ", " ██ "],
    'u': ["     ", "█   █", "█   █", "█   █", " ███ "],
    'v': ["     ", "█   █", "█   █", " █ █ ", "  █  "],
    'w': ["      ", "█   █", "█ █ █", "██ ██", "█   █"],
    'x': ["     ", "█   █", " █ █ ", "  █  ", "█   █"],
    'y': ["     ", "█   █", " █ █ ", "  █  ", " █   ", "█    "],
    'z': ["    ", "████", "  █ ", " █  ", "████"],
    '0': [" ███ ", "█   █", "█   █", "█   █", " ███ "],
    '1': ["  █  ", " ██  ", "  █  ", "  █  ", "█████"],
    '2': [" ███ ", "█   █", "   █ ", " █   ", "█████"],
    '3': ["████ ", "    █", " ███ ", "    █", "████ "],
    '4': ["█   █", "█   █", "█████", "    █", "    █"],
    '5': ["█████", "█    ", "████ ", "    █", "████ "],
    '6': [" ███ ", "█    ", "████ ", "█   █", " ███ "],
    '7': ["█████", "   █ ", "  █  ", " █   ", "█    "],
    '8': [" ███ ", "█   █", " ███ ", "█   █", " ███ "],
    '9': [" ███ ", "█   █", " ████", "    █", " ███ "],
    '!': [" █ ", " █ ", " █ ", "   ", " █ "],
    '?': [" ███ ", "█   █", "   █ ", "     ", "  █  "],
    '.': ["   ", "   ", "   ", "   ", " █ "],
    ',': ["   ", "   ", "   ", " █ ", "█  "],
    ':': ["   ", " █ ", "   ", " █ ", "   "],
    ';': ["   ", " █ ", "   ", " █ ", "█  "],
    "'": [" █ ", " █ ", "   ", "   ", "   "],
    '"': ["█ █ ", "█ █ ", "   ", "   ", "   "],
    '(': ["  █ ", " █  ", "█   ", " █  ", "  █ "],
    ')': [" █  ", "  █ ", "   █", "  █ ", " █  "],
    '[': [" ██ ", "█   ", "█   ", "█   ", " ██ "],
    ']': [" ██ ", "   █", "   █", "   █", " ██ "],
    '{': ["  ██", " █  ", "██  ", " █  ", "  ██"],
    '}': ["██  ", "  █ ", "  ██", "  █ ", "██  "],
    '<': ["   █", " █  ", "█   ", " █  ", "   █"],
    '>': ["█   ", "  █ ", "   █", "  █ ", "█   "],
    '/': ["    █", "   █ ", "  █  ", " █   ", "█    "],
    '\\': ["█    ", " █   ", "  █  ", "   █ ", "    █"],
    '|': [" █ ", " █ ", " █ ", " █ ", " █ "],
    '-': ["     ", "     ", " ███ ", "     ", "     "],
    '_': ["     ", "     ", "     ", "     ", "█████"],
    '=': ["     ", " ███ ", "     ", " ███ ", "     "],
    '+': ["     ", "  █  ", " ███ ", "  █  ", "     "],
    '*': ["     ", " █ █ ", "  █  ", " █ █ ", "     "],
    '#': [" █ █ ", "█████", " █ █ ", "█████", " █ █ "],
    '$': ["  ██", "█ █ █", "██  ", "█ █ █", " ██  "],
    '%': ["█   █", "   █ ", "  █  ", " █   ", "█   █"],
    '^': [" █  ", "█ █ ", "    ", "    ", "    "],
    '&': ["  █  ", " █   ", "  █  ", "█ █ █", " ███ "],
    '@': [" ███ ", "█   █", "█ ██ ", "█    ", " ███ "],
    ' ': [" ", " ", " ", " ", " "]
},
    "serif": {
    'A': ["  ▲  ", " ▲ ▲ ", "▲▲▲▲▲", "▲   ▲", "▲   ▲"],
    'B': ["▲▲▲  ", "▲  ▲ ", "▲▲▲  ", "▲  ▲ ", "▲▲▲  "],
    'C': [" ▲▲▲ ", "▲    ", "▲    ", "▲    ", " ▲▲▲ "],
    'D': ["▲▲▲  ", "▲  ▲ ", "▲  ▲ ", "▲  ▲ ", "▲▲▲  "],
    'E': ["▲▲▲▲▲", "▲    ", "▲▲▲▲ ", "▲    ", "▲▲▲▲▲"],
    'F': ["▲▲▲▲▲", "▲    ", "▲▲▲▲ ", "▲    ", "▲    "],
    'G': [" ▲▲▲ ", "▲    ", "▲  ▲▲", "▲   ▲", " ▲▲▲ "],
    'H': ["▲   ▲", "▲   ▲", "▲▲▲▲▲", "▲   ▲", "▲   ▲"],
    'I': ["▲▲▲▲▲", "  ▲  ", "  ▲  ", "  ▲  ", "▲▲▲▲▲"],
    'J': ["  ▲▲▲", "    ▲", "    ▲", "▲   ▲", " ▲▲▲ "],
    'K': ["▲  ▲ ", "▲ ▲  ", "▲▲▲  ", "▲ ▲  ", "▲  ▲ "],
    'L': ["▲    ", "▲    ", "▲    ", "▲    ", "▲▲▲▲▲"],
    'M': ["▲   ▲", "▲▲ ▲▲", "▲ ▲ ▲", "▲   ▲", "▲   ▲"],
    'N': ["▲   ▲", "▲▲  ▲", "▲ ▲ ▲", "▲  ▲▲", "▲   ▲"],
    'O': [" ▲▲▲ ", "▲   ▲", "▲   ▲", "▲   ▲", " ▲▲▲ "],
    'P': ["▲▲▲▲ ", "▲   ▲", "▲▲▲▲ ", "▲    ", "▲    "],
    'Q': [" ▲▲▲ ", "▲   ▲", "▲ ▲ ▲", "▲  ▲▲", " ▲▲▲▲"],
    'R': ["▲▲▲▲ ", "▲   ▲", "▲▲▲▲ ", "▲ ▲  ", "▲  ▲ "],
    'S': [" ▲▲▲▲", "▲    ", " ▲▲▲ ", "    ▲", "▲▲▲▲ "],
    'T': ["▲▲▲▲▲", "  ▲  ", "  ▲  ", "  ▲  ", "  ▲  "],
    'U': ["▲   ▲", "▲   ▲", "▲   ▲", "▲   ▲", " ▲▲▲ "],
    'V': ["▲   ▲", "▲   ▲", "▲   ▲", " ▲ ▲ ", "  ▲  "],
    'W': ["▲   ▲", "▲   ▲", "▲ ▲ ▲", "▲▲ ▲▲", "▲   ▲"],
    'X': ["▲   ▲", " ▲ ▲ ", "  ▲  ", " ▲ ▲ ", "▲   ▲"],
    'Y': ["▲   ▲", " ▲ ▲ ", "  ▲  ", "  ▲  ", "  ▲  "],
    'Z': ["▲▲▲▲▲", "   ▲ ", "  ▲  ", " ▲   ", "▲▲▲▲▲"],
    ' ': ["     ", "     ", "     ", "     ", "     "],
    'a': ["     ", " ▲▲  ", "▲  ▲ ", "▲▲▲▲ ", "▲  ▲ "],
    'b': ["▲    ", "▲    ", "▲▲▲▲ ", "▲   ▲", "▲▲▲▲ "],
    'c': ["     ", " ▲▲▲ ", "▲    ", "▲    ", " ▲▲▲ "],
    'd': ["    ▲", "    ▲", " ▲▲▲▲", "▲   ▲", " ▲▲▲▲"],
    'e': ["     ", " ▲▲▲ ", "▲▲▲▲ ", "▲    ", " ▲▲▲ "],
    'f': [" ▲▲▲ ", "▲    ", "▲▲▲  ", "▲    ", "▲    "],
    'g': ["     ", " ▲▲▲▲", "▲   ▲", " ▲▲▲▲", "    ▲", " ▲▲▲ "],
    'h': ["▲    ", "▲    ", "▲▲▲▲ ", "▲   ▲", "▲   ▲"],
    'i': ["▲", " ", "▲", "▲", "▲"],
    'j': ["  ▲ ", "    ", "  ▲ ", "  ▲ ", "▲ ▲ ", " ▲▲ "],
    'k': ["▲   ", "▲  ▲", "▲▲▲ ", "▲  ▲", "▲   ▲"],
    'l': ["▲ ", "▲ ", "▲ ", "▲ ", "▲ "],
    'm': ["      ", "▲ ▲ ▲", "▲ ▲ ▲", "▲ ▲ ▲", "▲ ▲ ▲"],
    'n': ["     ", "▲▲▲▲ ", "▲   ▲", "▲   ▲", "▲   ▲"],
    'o': ["     ", " ▲▲▲ ", "▲   ▲", "▲   ▲", " ▲▲▲ "],
    'p': ["     ", "▲▲▲▲ ", "▲   ▲", "▲▲▲▲ ", "▲    ", "▲    "],
    'q': ["     ", " ▲▲▲▲", "▲   ▲", " ▲▲▲▲", "    ▲", "    ▲"],
    'r': ["     ", "▲ ▲▲ ", "▲▲   ", "▲    ", "▲    "],
    's': ["    ", " ▲▲▲", "▲   ", " ▲▲▲", "   ▲", "▲▲▲ "],
    't': [" ▲  ", "▲▲▲ ", " ▲  ", " ▲  ", " ▲▲ "],
    'u': ["     ", "▲   ▲", "▲   ▲", "▲   ▲", " ▲▲▲ "],
    'v': ["     ", "▲   ▲", "▲   ▲", " ▲ ▲ ", "  ▲  "],
    'w': ["      ", "▲   ▲", "▲ ▲ ▲", "▲▲ ▲▲", "▲   ▲"],
    'x': ["     ", "▲   ▲", " ▲ ▲ ", "  ▲  ", "▲   ▲"],
    'y': ["     ", "▲   ▲", " ▲ ▲ ", "  ▲  ", " ▲   ", "▲    "],
    'z': ["    ", "▲▲▲▲", "  ▲ ", " ▲  ", "▲▲▲▲"],
    '0': [" ▲▲▲ ", "▲   ▲", "▲   ▲", "▲   ▲", " ▲▲▲ "],
    '1': ["  ▲  ", " ▲▲  ", "  ▲  ", "  ▲  ", "▲▲▲▲▲"],
    '2': [" ▲▲▲ ", "▲   ▲", "   ▲ ", " ▲   ", "▲▲▲▲▲"],
    '3': ["▲▲▲▲ ", "    ▲", " ▲▲▲ ", "    ▲", "▲▲▲▲ "],
    '4': ["▲   ▲", "▲   ▲", "▲▲▲▲▲", "    ▲", "    ▲"],
    '5': ["▲▲▲▲▲", "▲    ", "▲▲▲▲ ", "    ▲", "▲▲▲▲ "],
    '6': [" ▲▲▲ ", "▲    ", "▲▲▲▲ ", "▲   ▲", " ▲▲▲ "],
    '7': ["▲▲▲▲▲", "   ▲ ", "  ▲  ", " ▲   ", "▲    "],
    '8': [" ▲▲▲ ", "▲   ▲", " ▲▲▲ ", "▲   ▲", " ▲▲▲ "],
    '9': [" ▲▲▲ ", "▲   ▲", " ▲▲▲▲", "    ▲", " ▲▲▲ "],
    '!': [" ▲ ", " ▲ ", " ▲ ", "   ", " ▲ "],
    '?': [" ▲▲▲ ", "▲   ▲", "   ▲ ", "     ", "  ▲  "],
    '.': ["   ", "   ", "   ", "   ", " ▲ "],
    ',': ["   ", "   ", "   ", " ▲ ", "▲  "],
    ':': ["   ", " ▲ ", "   ", " ▲ ", "   "],
    ';': ["   ", " ▲ ", "   ", " ▲ ", "▲  "],
    "'": [" ▲ ", " ▲ ", "   ", "   ", "   "],
    '"': ["▲ ▲ ", "▲ ▲ ", "   ", "   ", "   "],
    '(': ["  ▲ ", " ▲  ", "▲   ", " ▲  ", "  ▲ "],
    ')': [" ▲  ", "  ▲ ", "   ▲", "  ▲ ", " ▲  "],
    '[': [" ▲▲ ", "▲   ", "▲   ", "▲   ", " ▲▲ "],
    ']': [" ▲▲ ", "   ▲", "   ▲", "   ▲", " ▲▲ "],
    '{': ["  ▲▲", " ▲  ", "▲▲  ", " ▲  ", "  ▲▲"],
    '}': ["▲▲  ", "  ▲ ", "  ▲▲", "  ▲ ", "▲▲  "],
    '<': ["   ▲", " ▲  ", "▲   ", " ▲  ", "   ▲"],
    '>': ["▲   ", "  ▲ ", "   ▲", "  ▲ ", "▲   "],
    '/': ["    ▲", "   ▲ ", "  ▲  ", " ▲   ", "▲    "],
    '\\': ["▲    ", " ▲   ", "  ▲  ", "   ▲ ", "    ▲"],
    '|': [" ▲ ", " ▲ ", " ▲ ", " ▲ ", " ▲ "],
    '-': ["     ", "     ", " ▲▲▲ ", "     ", "     "],
    '_': ["     ", "     ", "     ", "     ", "▲▲▲▲▲"],
    '=': ["     ", " ▲▲▲ ", "     ", " ▲▲▲ ", "     "],
    '+': ["     ", "  ▲  ", " ▲▲▲ ", "  ▲  ", "     "],
    '*': ["     ", " ▲ ▲ ", "  ▲  ", " ▲ ▲ ", "     "],
    '#': [" ▲ ▲ ", "▲▲▲▲▲", " ▲ ▲ ", "▲▲▲▲▲", " ▲ ▲ "],
    '$': ["  ▲▲", "▲ ▲ ▲", "▲▲  ", "▲ ▲ ▲", " ▲▲  "],
    '%': ["▲   ▲", "   ▲ ", "  ▲  ", " ▲   ", "▲   ▲"],
    '^': [" ▲  ", "▲ ▲ ", "    ", "    ", "    "],
    '&': ["  ▲  ", " ▲   ", "  ▲  ", "▲ ▲ ▲", " ▲▲▲ "],
    '@': [" ▲▲▲ ", "▲   ▲", "▲ ▲▲ ", "▲    ", " ▲▲▲ "],
    ' ': [" ", " ", " ", " ", " "]
    
},
    "serif_font" : {
    'A': ["  ___ ", " / _ \\", "/ /_\\ \\", "|  _  |", "|_| |_|"],
    'B': ["____  ", "| __ ) ", "|  _ \\", "| |_) |", "|____/ "],
    'C': [" _____", "/  __ \\", "| /  \\/", "| |    ", "\\_____/"],
    'D': ["____  ", "|  _ \\", "| | | |", "| |_| |", "|____/ "],
    'E': [" _____", "| ____|", "|  _|  ", "| |___ ", "|_____|"],
    'F': ["______", "|  ___|", "| |_   ", "|  _|  ", "|_|    "],
    'G': [" _____", "|  __ \\", "| |  \\/", "| | __ ", "| |_\\ \\", " \\____/"],
    'H': [" _   _ ", "| | | |", "| |_| |", "|  _  |", "|_| |_|"],
    'I': [" ___ ", "|_ _|", " | | ", " | | ", "|___|"],
    'J': ["    _ ", "   | |", "   | |", "/\\_| |", "\\___/ "],
    'K': [" _   __", "| | / /", "| |/ / ", "|    \\ ", "|_|\\_\\ "],
    'L': [" _     ", "| |    ", "| |    ", "| |___ ", "|_____|"],
    'M': ["___  ___", "|  \\/  |", "| .  . |", "| |\\/| |", "|_|  |_|"],
    'N': [" _   _ ", "| \\ | |", "|  \\| |", "| . ` |", "|_|\\_|"],
    'O': [" _____ ", "|  _  |", "| | | |", "| |_| |", "\\_____/"],
    'P': ["____  ", "|  _ \\", "| |_| |", "|  __/", "|_|   "],
    'Q': [" _____ ", "|  _  |", "| | | |", "| |/ / ", "|___\\_\\"],
    'R': ["____  ", "|  _ \\", "| |_| |", "|    / ", "|_|\\_\\"],
    'S': [" ____ ", "/ ___|", "\\___ \\", " ___) |", "|____/ "],
    'T': [" _____", "|_   _|", "  | |  ", "  | |  ", "  |_|  "],
    'U': [" _   _ ", "| | | |", "| | | |", "| |_| |", "\\_____/"],
    'V': ["__     __", "\\ \\   / /", " \\ \\ / / ", "  \\ V /  ", "   \\_/   "],
    'W': ["__        __", "\\ \\      / /", " \\ \\ /\\ / / ", "  \\ V  V /  ", "   \\_/\\_/   "],
    'X': ["__  __", "\\ \\/ /", " >  < ", "/_/\\_\\", "      "],
    'Y': ["__   __", "\\ \\ / /", " \\ V / ", "  | |  ", "  |_|  "],
    'Z': ["______", "|__  /", "  / / ", " / /_ ", "/____|"],    
    'a': ["  ___ ", " / _ \\", "/ /_\\ \\", "|  _  |", "|_| |_|"],
    'b': ["____  ", "| __ ) ", "|  _ \\", "| |_) |", "|____/ "],
    'c': [" _____", "/  __ \\", "| /  \\/", "| |    ", "\\_____/"],
    'd': ["____  ", "|  _ \\", "| | | |", "| |_| |", "|____/ "],
    'e': [" _____", "| ____|", "|  _|  ", "| |___ ", "|_____|"],
    'f': ["______", "|  ___|", "| |_   ", "|  _|  ", "|_|    "],
    'g': [" _____", "|  __ \\", "| |  \\/", "| | __ ", "| |_\\ \\", " \\____/"],
    'h': [" _   _ ", "| | | |", "| |_| |", "|  _  |", "|_| |_|"],
    'i': [" ___ ", "|_ _|", " | | ", " | | ", "|___|"],
    'j': ["    _ ", "   | |", "   | |", "/\\_| |", "\\___/ "],
    'k': [" _   __", "| | / /", "| |/ / ", "|    \\ ", "|_|\\_\\ "],
    'l': [" _     ", "| |    ", "| |    ", "| |___ ", "|_____|"],
    'm': ["___  ___", "|  \\/  |", "| .  . |", "| |\\/| |", "|_|  |_|"],
    'n': [" _   _ ", "| \\ | |", "|  \\| |", "| . ` |", "|_|\\_|"],
    'o': [" _____ ", "|  _  |", "| | | |", "| |_| |", "\\_____/"],
    'p': ["____  ", "|  _ \\", "| |_| |", "|  __/", "|_|   "],
    'q': [" _____ ", "|  _  |", "| | | |", "| |/ / ", "|___\\_\\"],
    'r': ["____  ", "|  _ \\", "| |_| |", "|    / ", "|_|\\_\\"],
    's': [" ____ ", "/ ___|", "\\___ \\", " ___) |", "|____/ "],
    't': [" _____", "|_   _|", "  | |  ", "  | |  ", "  |_|  "],
    'u': [" _   _ ", "| | | |", "| | | |", "| |_| |", "\\_____/"],
    'v': ["__     __", "\\ \\   / /", " \\ \\ / / ", "  \\ V /  ", "   \\_/   "],
    'w': ["__        __", "\\ \\      / /", " \\ \\ /\\ / / ", "  \\ V  V /  ", "   \\_/\\_/   "],
    'x': ["__  __", "\\ \\/ /", " >  < ", "/_/\\_\\", "      "],
    'y': ["__   __", "\\ \\ / /", " \\ V / ", "  | |  ", "  |_|  "],
    'z': ["______", "|__  /", "  / / ", " / /_ ", "/____|"],
    '0': [" _____ ", "|  _  |", "| | | |", "| |_| |", "|_____|"],
    '1': [" __ ", "/_ |", " | |", " | |", " |_|"],
    '2': [" ____  ", "|___ \\ ", "  __) |", " / __/ ", "|_____|"],
    '3': [" _____", "|___ /", "  |_ \\", " ___) |", "|____/ "],
    '4': [" _  _  ", "| || | ", "| || |_","|__   _|", "   |_|  "],
    '5': [" ____ ", "| ___|", "|___ \\", " ___) |", "|____/ "],
    '6': ["  __  ", " / /_ ", "| '_ \\", "| (_) |", " \\___/ "],
    '7': [" _____", "|___  |", "   / / ", "  / /  ", " /_/   "],
    '8': ["  ___  ", " ( _ ) ", " / _ \\", "| (_) |", " \\___/ "],
    '9': ["  ___ ", " / _ \\", "| (_) |", " \\__, |", "   /_/ "],
    '!': [" _ ", "| |", "| |", "|_|", "(_)"],
    '@': [" _____ ", "|  _  |", "| |/' |", "|  /| |", "\\ |_/ /", " \\___/ "],
    '#': ["  _  _   ", " | || |  ", "/ __) |__","\\__ \\ '_ \\", " |___/_.__/"],
    '$': ["  _  ", " | | ", "/ __)", "\\__ \\", "(___/"],
    '%': [" _   __", "(_) / /", "   / / ", "  / /_ ", " /_/(_)"],
    '^': [" /\\ ", "|/\\|", "    ", "    ", "    "],
    '&': ["  ___   ", " ( _ )  ", " / _ \\/\\", "| (_>  <", " \\___/\\/"],
    '*': ["     ", "_/\\_", "\\  /", "/_\\_", "     "],
    '(': ["  __", " / /", "| | ", "| | ", " \\_\\"],
    ')': ["__  ", "\\ \\ ", " | |", " | |", "/_/ "],
    '_': ["       ", "       ", "       ", "       ", "_______"],
    '+': ["       ", "   |   ", " --+-- ", "   |   ", "       "],
    '-': ["      ", "      ", " ---- ", "      ", "      "],
    '=': ["       ", " _____ ", "|_____|", "       ", "       "],
    '[': [" ___", "|  |", "|  |", "|  |", "|__|"],
    ']': ["___ ", "|  |", "|  |", "|  |", "|__|"],
    '{': ["  __", " / /", "< < ", " \\_\\", "    "],
    '}': ["__  ", "\\ \\ ", " > >", "/_/ ", "    "],
    '|': [" | ", " | ", " | ", " | ", " | "],
    ';': [" ; ", " ; ", "   ", " ; ", ";  "],
    ':': ["   ", " o ", "   ", " o ", "   "],
    "'": [" _ ", "( )", "|/ ", "   ", "   "],
    '"': ["_ _", "( )", "|/ ", "   ", "   "],
    ',': ["   ", "   ", "   ", " _ ", "( )"],
    '.': ["   ", "   ", "   ", " _ ", "(_)"],
    '<': ["   __", "  / /", " < < ", "  \\_\\", "     "],
    '>': ["__   ", "\\ \\  ", " > > ", "/_/  ", "     "],
    '/': ["    /", "   / ", "  /  ", " /   ", "/    "],
    '?': [" ___ ", "|__ \\", "  / /", " |_| ", " (_) "],
    '`': [" _ ", "( )", " \\|", "   ", "   "],
    ' ': [" ", " ", " ", " ", " "]
}

    # Add more custom styles if you want
}

def blockfont(text, style="standard"):
    
    if style in ASCII_STYLES:
        # custom styles
        style_dict = ASCII_STYLES[style]
        lines = ["" for _ in range(5)]
       
        for char in text:
            pattern = style_dict.get(char, ["     "] * 5)  # fallback to blank if character missing
            for i in range(5):
                lines[i] += pattern[i] + "  "
       
        return "\n".join(lines)
    else:
        # styles form pyfiglet
        try:
            return pyfiglet.figlet_format(text, font=style)
        # styles not found in both custom and the pyfiglet
        except pyfiglet.FontNotFound:
            available = list(ASCII_STYLES.keys())
            return f"❌ Font '{style}' not found. Available custom styles: {', '.join(available)} or any pyfiglet font."

